//*****************************************************************************
//*****************************************************************************
//  FILENAME: `@INSTANCE_NAME`.h
//   Version: 1.2, Updated on 2005/10/05
//  `@PSOC_VERSION`
//
//  DESCRIPTION: OneShot8 User Module C Language interface file
//               for the 21/22/24/25/26/27/29xxx PSoC family of devices.
//-----------------------------------------------------------------------------
//      Copyright (c) Ilya Mamontov 2004.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

#pragma fastcall16  `@INSTANCE_NAME`_Start
#pragma fastcall16  `@INSTANCE_NAME`_Stop

//-------------------------------------------------
// Prototypes of the `@INSTANCE_NAME` API.
//-------------------------------------------------
extern void  `@INSTANCE_NAME`_Start(void);
extern void  `@INSTANCE_NAME`_Stop(void);

//-------------------------------------------------
// Register Addresses for `@INSTANCE_NAME`
//-------------------------------------------------
`@OneShot8_CONTROL_0_IOH``@CTAB60`//Control register LSB
`@OneShot8_CONTROL_0_H`
`@OneShot8_DATA_0_IOH``@CTAB60`//Shift register LSB
`@OneShot8_DATA_0_H`
`@OneShot8_DATA_1_IOH``@CTAB60`//Polynomial register LSB
`@OneShot8_DATA_1_H`
`@OneShot8_DATA_2_IOH``@CTAB60`//Seed register LSB
`@OneShot8_DATA_2_H`
`@OneShot8_DIG_BasicFunction_IOH``@CTAB60`//Function register LSB
`@OneShot8_DIG_BasicFunction_H`
`@OneShot8_DIG_Input_IOH``@CTAB60`//Input register LSB
`@OneShot8_DIG_Input_H`
`@OneShot8_DIG_Output_IOH``@CTAB60`//Output register LSB
`@OneShot8_DIG_Output_H`

// end of file `@INSTANCE_NAME`.h

