;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: `@INSTANCE_NAME`.inc
;;   Version: 1.2, Updated on 2005/10/05
;;  `@PSOC_VERSION`
;;
;;  DESCRIPTION: Assembler declarations for the OneShot8 user module interface
;;               for the 21/22/24/25/26/27/29xxx PSoC family of devices.
;;-----------------------------------------------------------------------------
;;      Copyright (c) Ilya Mamontov 2004.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"

;--------------------------------------------------
; Constants for `@INSTANCE_NAME` API's.
;--------------------------------------------------

;--------------------------------------------------
; Register Address Constants for `@INSTANCE_NAME`
;--------------------------------------------------
`@OneShot8_CONTROL_0_INC``@CTAB50`;Control register LSB
`@OneShot8_DATA_0_INC``@CTAB50`;Shift register LSB
`@OneShot8_DATA_1_INC``@CTAB50`;Polynomial register LSB
`@OneShot8_DATA_2_INC``@CTAB50`;Seed register LSB
`@OneShot8_DIG_BasicFunction_INC``@CTAB50`;Function register LSB
`@OneShot8_DIG_Input_INC``@CTAB50`;Input register LSB
`@OneShot8_DIG_Output_INC``@CTAB50`;Output register LSB

; end of file `@INSTANCE_NAME`.inc
